Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom
Class DOMException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.w3c.dom.DOMException

All Implemented Interfaces:
  java.io.Serializable

public abstract class DOMException
extends java.lang.RuntimeException

DOM operations only raise exceptions in "exceptional" circumstances, i.e., when an operation is impossible to perform (either for logical reasons, because data is lost, or because the implementation has become unstable). In general, DOM methods return specific error values in ordinary processing situation, such as out-of-bound errors when using `NodeList`.

Implementations may raise other exceptions under other circumstances. For example, implementations may raise an implementation-dependent exception if a `null` argument is passed.

Some languages and object systems do not support the concept of exceptions. For such systems, error conditions may be indicated using native error reporting mechanisms. For some bindings, for example, methods may return error codes similar to those listed in the corresponding method descriptions.

See Also:
  Serialized Form

Field Summary
`short` | `code`
`static short` | `DOMSTRING_SIZE_ERR`
`static short` | `HIERARCHY_REQUEST_ERR`
`static short` | `INDEX_SIZE_ERR`
`static short` | `INUSE_ATTRIBUTE_ERR`
`static short` | `INVALID_CHARACTER_ERR`
`static short` | `NO_DATA_ALLOWED_ERR`
`static short` | `NO_MODIFICATION_ALLOWED_ERR`
`static short` | `NOT_FOUND_ERR`
`static short` | `NOT_SUPPORTED_ERR`
`static short` | `WRONG_DOCUMENT_ERR`

Constructor Summary
`DOMException(short code, java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    public short code

### INDEX_SIZE_ERR

    public static final short INDEX_SIZE_ERR

### DOMSTRING_SIZE_ERR

    public static final short DOMSTRING_SIZE_ERR

### HIERARCHY_REQUEST_ERR

    public static final short HIERARCHY_REQUEST_ERR

### WRONG_DOCUMENT_ERR

    public static final short WRONG_DOCUMENT_ERR

### INVALID_CHARACTER_ERR

    public static final short INVALID_CHARACTER_ERR

### NO_DATA_ALLOWED_ERR

    public static final short NO_DATA_ALLOWED_ERR

### NO_MODIFICATION_ALLOWED_ERR

    public static final short NO_MODIFICATION_ALLOWED_ERR

### NOT_FOUND_ERR

    public static final short NOT_FOUND_ERR

### NOT_SUPPORTED_ERR

    public static final short NOT_SUPPORTED_ERR

### INUSE_ATTRIBUTE_ERR

    public static final short INUSE_ATTRIBUTE_ERR

Constructor Detail

### DOMException

    public DOMException(short code,
                        java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD